%define name            jakarta-commons-discovery
%define short_name      commons-discovery
%define version         0.1
%define release         1jpp

%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

# -----------------------------------------------------------------------------

Summary:        Jakarta Commons Discovery
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          1
Group:          Development/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/discovery.html
BuildArch:      noarch
Source0:        http://jakarta.apache.org/builds/jakarta-commons/release/commons-discovery/v0.1/commons-discovery-0.1-src.tar.gz
Patch0:         %{name}.build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  ant
BuildRequires:  junit >= 3.7
BuildRequires:  jakarta-commons-logging >= 1.0.1
Requires:       jakarta-commons-logging >= 1.0.1

%description
The Discovery component is about discovering, or finding, implementations for
pluggable interfaces.  Pluggable interfaces are specified with the intent that
multiple implementations are, or will be, available to provide the service
described by the interface.  Discovery provides facilities for finding and
instantiating classes, and for lifecycle management of singleton (factory)
classes. 

# -----------------------------------------------------------------------------

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n commons-discovery-%{version}-src/discovery
%patch0 -p0

# -----------------------------------------------------------------------------

%build
ant \
  -Djunit.jar=%{javadir}/junit.jar \
  -Dlogger.jar=%{javadir}/jakarta-commons-logging.jar \
  test.discovery dist

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{javadir}
install -m 0644 dist/%{short_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && ln -s %{name}-%{version}.jar %{short_name}-%{version}.jar && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc LICENSE.txt TODO *.html
%{javadir}/*

%files javadoc
%defattr(-,root,root,-)
%{javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Fri Sep 13 2002 Ville Skytt <ville.skytta at iki.fi> 1:0.1-1jpp
- 0.1.

* Sat Sep  7 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.rc1.1jpp
- First JPackage release.

